Package org.eclipse.rdf4j.query.resultio.textstar.tsv

## Class SPARQLStarResultsTSVWriter

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultWriter
  - - org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVWriter
    - - org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLStarResultsTSVWriter
      - - org.eclipse.rdf4j.query.resultio.textstar.tsv.SPARQLStarResultsTSVWriter

- All Implemented Interfaces:
    `CharSink`, `Sink`, `QueryResultHandler`, `QueryResultWriter`, `TupleQueryResultWriter`, `TupleQueryResultHandler`

      @Deprecated
      public class SPARQLStarResultsTSVWriter
      extends SPARQLStarResultsTSVWriter

  Deprecated.
  since 3.4.0 - moved to `SPARQLStarResultsTSVWriter`.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVWriter

      `tupleVariablesFound, writer`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SPARQLStarResultsTSVWriter​(OutputStream out)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLStarResultsTSVWriter

      `getTupleQueryResultFormat`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVWriter

      `endHeader, endQueryResult, getQueryResultFormat, getWriter, handleBoolean, handleLinks, handleNamespace, handleSolutionImpl, handleStylesheet, startDocument, startHeader, startQueryResult, writeBNode, writeResource, writeURI, writeValue`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultWriter

      `getFileFormat, getSupportedSettings, getWriterConfig, handleSolution, setWriterConfig, xsdStringToPlainLiteral`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.QueryResultHandler

      `handleSolution`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultWriter

      `getSupportedSettings, getWriterConfig, setWriterConfig`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.io.Sink

      `acceptsFileFormat, getFileFormat`

- - ### Constructor Detail

    - #### SPARQLStarResultsTSVWriter

          public SPARQLStarResultsTSVWriter​(OutputStream out)

      Deprecated.